I'm running ZCM 11.3.1 on two primary servers on SLES 11.3 and database server on Windows 2008 R2 SP1/SQL2008R2 SP1. I would like to get to 11.4.2 with the least amount of OS/DB updates, and as quickly as possible. ZCM 11.4.2 Documentation requires SLES12 SP1 latest DB updates which in my case would be SQL2008R2SP3. Here are my questions:

1. Do SQL service packs really matter?

2. Will ZCM 11.4.2 run on SLES 11.3?

3. If ZCM 11.4.2 will not run on SLES11.3. Would I upgrade to ZCM 11.4 apply the post prereq while on SLES11.3, upgrade to SLES12SP1, and finally upgrade to ZCM 11.4.2?